oCoreoCore Docs
API Reference

Members

List organization members

Returns all members of the current organization with their user info and roles.

GET
/members

Authorization

Authorization<token>

JWT Bearer token (format: Bearer {token})

In: header

curl -X GET "//api.ocore.dev/api/members" \
  -H "Authorization: <token>"

OK

{
  "members": [
    null
  ],
  "total": 0
}

Invite a new member

Sends an email invitation to join the organization with the specified role. Requires manage:members permission.

POST
/members/invite

Authorization

Authorization<token>

JWT Bearer token (format: Bearer {token})

In: header

Request Body

application/jsonRequired

Invitation details

emailstring
roleIdstring
curl -X POST "//api.ocore.dev/api/members/invite" \
  -H "Authorization: <token>" \
  -H "Content-Type: application/json" \
  -d '{
    "email": "string",
    "roleId": "string"
  }'

Created

{
  "email": "string",
  "expiresAt": "string",
  "id": "string",
  "status": "string"
}

Leave organization

Removes the authenticated user from the organization. Owners must transfer ownership before leaving.

POST
/members/leave

Authorization

Authorization<token>

JWT Bearer token (format: Bearer {token})

In: header

curl -X POST "//api.ocore.dev/api/members/leave" \
  -H "Authorization: <token>"

OK

{
  "message": "string"
}

Remove a member

Removes a member from the organization. Cannot remove the owner or yourself (use leave instead). Requires manage:members permission.

DELETE
/members/{id}

Authorization

Authorization<token>

JWT Bearer token (format: Bearer {token})

In: header

Path Parameters

idRequiredstring

Member UUID

curl -X DELETE "//api.ocore.dev/api/members/<string>" \
  -H "Authorization: <token>"

OK

{
  "message": "string"
}

Update member role

Changes the role assigned to a member. Requires manage:members permission.

PUT
/members/{id}/role

Authorization

Authorization<token>

JWT Bearer token (format: Bearer {token})

In: header

Request Body

application/jsonRequired

New role ID

roleIdstring

Path Parameters

idRequiredstring

Member UUID

curl -X PUT "//api.ocore.dev/api/members/<string>/role" \
  -H "Authorization: <token>" \
  -H "Content-Type: application/json" \
  -d '{
    "roleId": "string"
  }'

OK

{
  "message": "string"
}

Was this page helpful?